<script type="text/javascript">

    jQuery('#wizard').smartWizard({
        onFinish: onFinishCallback,
        keyNavigation:false, 
        onLeaveStep: leaveAStepCallback,
        labelNext: 'Далее', // label for Next button
        labelPrevious: 'Назад', // label for Previous button
        labelFinish: 'Создать', // label for Finish button
        transitionEffect: 'slide'
    });
    function leaveAStepCallback(obj) {
        var step_num = obj.attr('rel');
        
        return validateSteps(step_num);
    }
    
    

    function validateSteps(step) {
        var isStepValid = true;
        
        jQuery('.stdform').find("[required]").each(function() { 
            if(jQuery(this).is(":visible")==true && jQuery(this).val() == ""){
                
                //$('#msg_username').html('Please fill username').show();
                isStepValid = false;
            }
        });
        
        if(isStepValid == false){
            jQuery('#wizard').smartWizard('showMessage', 'Пожалуйста, заполните поля в шаге ' + step + ' и нажмите «Далее».');
            jQuery('#wizard').smartWizard('setError', {stepnum: step, iserror: true});
        }
        
        return isStepValid;
    }
    

    function onFinishCallback() {
        jQuery('form').submit();
    }

</script>	